ConnectCloud Developers

Change the default e-mail channel (comms:admin)

PUT /api/comms/v1/settings

Module: Comms · operationId: setSettings · Tag: Settings · Auth: access token (Authorization: Bearer <accessToken>)

Request body

application/json (required)

  • defaultEmailChannelId (string (uuid)): The tenant's default e-mail channel; empty: the platform channel
  • rev (integer): Revision of the settings

Example:

{
  "defaultEmailChannelId": "6b1f3c2a-8d4e-4f5a-9b7c-1e2d3f4a5b6c",
  "rev": 3
}

Responses

  • 200 Settings (application/json)
  • 400 Error (application/json)
  • 409 Error (application/json)

Fields of the 200 answer:

  • defaultEmailChannelId (string (uuid)): The tenant's default e-mail channel; empty: the platform channel
  • rev (integer): Revision of the settings

Example 200 answer:

{
  "defaultEmailChannelId": "6b1f3c2a-8d4e-4f5a-9b7c-1e2d3f4a5b6c",
  "rev": 3
}

Example request

curl -X PUT 'https://api.mbcom.cloud/api/comms/v1/settings' \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H 'Content-Type: application/json' \
  --data '{"defaultEmailChannelId":"6b1f3c2a-8d4e-4f5a-9b7c-1e2d3f4a5b6c","rev":3}'

View as Markdown · Interactive reference · OpenAPI